curl --request POST \
--url https://api.chatsailer.com/v1/conversions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"conversion_key": "sale_closed",
"dedupe_key": "order-1001",
"occurred_at": "2026-09-01T12:00:00-03:00",
"contact_id": "con_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"conversation_id": "conv_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"deal_id": "deal_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"note": "<string>",
"value": "1500.00"
}
'import requests
url = "https://api.chatsailer.com/v1/conversions"
payload = {
"conversion_key": "sale_closed",
"dedupe_key": "order-1001",
"occurred_at": "2026-09-01T12:00:00-03:00",
"contact_id": "con_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"conversation_id": "conv_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"deal_id": "deal_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"note": "<string>",
"value": "1500.00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
conversion_key: 'sale_closed',
dedupe_key: 'order-1001',
occurred_at: '2026-09-01T12:00:00-03:00',
contact_id: 'con_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4',
conversation_id: 'conv_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4',
deal_id: 'deal_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4',
note: '<string>',
value: '1500.00'
})
};
fetch('https://api.chatsailer.com/v1/conversions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chatsailer.com/v1/conversions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'conversion_key' => 'sale_closed',
'dedupe_key' => 'order-1001',
'occurred_at' => '2026-09-01T12:00:00-03:00',
'contact_id' => 'con_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4',
'conversation_id' => 'conv_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4',
'deal_id' => 'deal_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4',
'note' => '<string>',
'value' => '1500.00'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.chatsailer.com/v1/conversions"
payload := strings.NewReader("{\n \"conversion_key\": \"sale_closed\",\n \"dedupe_key\": \"order-1001\",\n \"occurred_at\": \"2026-09-01T12:00:00-03:00\",\n \"contact_id\": \"con_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4\",\n \"conversation_id\": \"conv_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4\",\n \"deal_id\": \"deal_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4\",\n \"note\": \"<string>\",\n \"value\": \"1500.00\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.chatsailer.com/v1/conversions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"conversion_key\": \"sale_closed\",\n \"dedupe_key\": \"order-1001\",\n \"occurred_at\": \"2026-09-01T12:00:00-03:00\",\n \"contact_id\": \"con_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4\",\n \"conversation_id\": \"conv_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4\",\n \"deal_id\": \"deal_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4\",\n \"note\": \"<string>\",\n \"value\": \"1500.00\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chatsailer.com/v1/conversions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"conversion_key\": \"sale_closed\",\n \"dedupe_key\": \"order-1001\",\n \"occurred_at\": \"2026-09-01T12:00:00-03:00\",\n \"contact_id\": \"con_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4\",\n \"conversation_id\": \"conv_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4\",\n \"deal_id\": \"deal_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4\",\n \"note\": \"<string>\",\n \"value\": \"1500.00\"\n}"
response = http.request(request)
puts response.read_body{
"conversion_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"dedupe_key": "<string>",
"id": "cnv_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"occurred_at": "2023-11-07T05:31:56Z",
"recorded_by": "meta_leadgen",
"contact_id": "con_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"conversation_id": "conv_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"currency": "BRL",
"deal_id": "deal_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"note": "<string>",
"object": "conversion",
"retracted_at": "2023-11-07T05:31:56Z",
"retraction_reason": "<string>",
"value": "<string>"
}{
"conversion_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"dedupe_key": "<string>",
"id": "cnv_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"occurred_at": "2023-11-07T05:31:56Z",
"recorded_by": "meta_leadgen",
"contact_id": "con_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"conversation_id": "conv_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"currency": "BRL",
"deal_id": "deal_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"note": "<string>",
"object": "conversion",
"retracted_at": "2023-11-07T05:31:56Z",
"retraction_reason": "<string>",
"value": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "invalid_request_error",
"detail": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"documentation_url": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "invalid_request_error",
"detail": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"documentation_url": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "invalid_request_error",
"detail": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"documentation_url": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "invalid_request_error",
"detail": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"documentation_url": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "invalid_request_error",
"detail": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"documentation_url": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "invalid_request_error",
"detail": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"documentation_url": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}Record a conversion
Reports a business outcome — a sale closed, a meeting held — that this workspace tracks as a conversion. Reports and the origin of the contact count it, a contract that prices the key bills it, and a type sent to Meta is sent there.
conversion_key must be one of this workspace’s active conversion types (GET /v1/conversion-types). Send value when the type’s value_basis is amount.
Safe to retry. dedupe_key is your idempotency key, typically your own order id. Resending the same dedupe_key answers 200 with the conversion already on file instead of recording it twice.
curl --request POST \
--url https://api.chatsailer.com/v1/conversions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"conversion_key": "sale_closed",
"dedupe_key": "order-1001",
"occurred_at": "2026-09-01T12:00:00-03:00",
"contact_id": "con_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"conversation_id": "conv_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"deal_id": "deal_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"note": "<string>",
"value": "1500.00"
}
'import requests
url = "https://api.chatsailer.com/v1/conversions"
payload = {
"conversion_key": "sale_closed",
"dedupe_key": "order-1001",
"occurred_at": "2026-09-01T12:00:00-03:00",
"contact_id": "con_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"conversation_id": "conv_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"deal_id": "deal_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"note": "<string>",
"value": "1500.00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
conversion_key: 'sale_closed',
dedupe_key: 'order-1001',
occurred_at: '2026-09-01T12:00:00-03:00',
contact_id: 'con_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4',
conversation_id: 'conv_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4',
deal_id: 'deal_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4',
note: '<string>',
value: '1500.00'
})
};
fetch('https://api.chatsailer.com/v1/conversions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chatsailer.com/v1/conversions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'conversion_key' => 'sale_closed',
'dedupe_key' => 'order-1001',
'occurred_at' => '2026-09-01T12:00:00-03:00',
'contact_id' => 'con_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4',
'conversation_id' => 'conv_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4',
'deal_id' => 'deal_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4',
'note' => '<string>',
'value' => '1500.00'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.chatsailer.com/v1/conversions"
payload := strings.NewReader("{\n \"conversion_key\": \"sale_closed\",\n \"dedupe_key\": \"order-1001\",\n \"occurred_at\": \"2026-09-01T12:00:00-03:00\",\n \"contact_id\": \"con_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4\",\n \"conversation_id\": \"conv_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4\",\n \"deal_id\": \"deal_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4\",\n \"note\": \"<string>\",\n \"value\": \"1500.00\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.chatsailer.com/v1/conversions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"conversion_key\": \"sale_closed\",\n \"dedupe_key\": \"order-1001\",\n \"occurred_at\": \"2026-09-01T12:00:00-03:00\",\n \"contact_id\": \"con_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4\",\n \"conversation_id\": \"conv_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4\",\n \"deal_id\": \"deal_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4\",\n \"note\": \"<string>\",\n \"value\": \"1500.00\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chatsailer.com/v1/conversions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"conversion_key\": \"sale_closed\",\n \"dedupe_key\": \"order-1001\",\n \"occurred_at\": \"2026-09-01T12:00:00-03:00\",\n \"contact_id\": \"con_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4\",\n \"conversation_id\": \"conv_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4\",\n \"deal_id\": \"deal_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4\",\n \"note\": \"<string>\",\n \"value\": \"1500.00\"\n}"
response = http.request(request)
puts response.read_body{
"conversion_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"dedupe_key": "<string>",
"id": "cnv_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"occurred_at": "2023-11-07T05:31:56Z",
"recorded_by": "meta_leadgen",
"contact_id": "con_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"conversation_id": "conv_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"currency": "BRL",
"deal_id": "deal_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"note": "<string>",
"object": "conversion",
"retracted_at": "2023-11-07T05:31:56Z",
"retraction_reason": "<string>",
"value": "<string>"
}{
"conversion_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"dedupe_key": "<string>",
"id": "cnv_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"occurred_at": "2023-11-07T05:31:56Z",
"recorded_by": "meta_leadgen",
"contact_id": "con_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"conversation_id": "conv_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"currency": "BRL",
"deal_id": "deal_9f2ac41d8b7e4a51b0d3e6f7a1c2d3e4",
"note": "<string>",
"object": "conversion",
"retracted_at": "2023-11-07T05:31:56Z",
"retraction_reason": "<string>",
"value": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "invalid_request_error",
"detail": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"documentation_url": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "invalid_request_error",
"detail": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"documentation_url": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "invalid_request_error",
"detail": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"documentation_url": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "invalid_request_error",
"detail": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"documentation_url": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "invalid_request_error",
"detail": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"documentation_url": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "invalid_request_error",
"detail": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"documentation_url": "<string>",
"param": "<string>",
"request_id": "<string>"
}
}Authorizations
Headers
Body
Body for POST /v1/conversions.
Your idempotency key for this fact, e.g. your order id. Unique within the workspace: sending the same key again returns the conversion already on file (200) instead of recording a second one — even if the rest of the body differs, so never reuse a key for a different fact.
1 - 255"order-1001"
Response
Replayed: a conversion with this dedupe_key was already on file and is returned unchanged. Nothing new was recorded.
One conversion.